<template>
  <v-card width="550" height="160" class="v-card-container">
    <v-card-text class="v-container-card-text">
      <div class="d-flex align-center mb-2">
        <ImagePhoto :photo="appointment.specialist.profileImageUrl" />
        <div class="ml-2 ml-md-4">
          <v-row>
            <v-col md="12">
              <h2>Esp. {{ fullname }}</h2>
            </v-col>
          </v-row>
          <v-row class="v-container-date">
            <v-col md="5">
              <h3>Horario de cita:</h3>
            </v-col>
            <v-col md="7">
              <v-btn
                v-if="this.appointment"
                rounded
                color="primary"
                @click="goToSession()"
                depressed
              >
                {{ this.dateIni + " - " + this.dateFin }}
              </v-btn>
            </v-col>
          </v-row>
        </div>
      </div>
    </v-card-text>
  </v-card>
</template>

<script>
import ImagePhoto from "~/components/appointment/ImagePhoto";

export default {
  name: "DetailSpecialistCard",
  components: {
    ImagePhoto,
  },
  props: {
    appointment: {},
    idAppointment: Number,
  },
  data() {
    return {
      dateIni: null,
      dateFin: null,
    };
  },
  mounted() {
    this.dateIni = new Intl.DateTimeFormat("es-ES", {
      hour: "2-digit",
      minute: "2-digit",
    }).format(new Date(this.appointment.startTime));
    this.dateFin = new Intl.DateTimeFormat("es-ES", {
      hour: "2-digit",
      minute: "2-digit",
    }).format(new Date(this.appointment.endTime));
  },
  computed: {
    fullname() {
      const specialist = this.appointment.specialist;
      let str = `${specialist.name} ${specialist.fatherLastname} ${specialist.motherLastname}`;
      let downstr = str.toLowerCase();
      let str2 = downstr.replace(/\w\S*/g, (w) =>
        w.replace(/^\w/, (c) => c.toUpperCase())
      );
      return str2;
    },
  },
  methods: {
    goToSession() {
      this.$router.push(`/paciente/sesion/${this.idAppointment}`);
    },
  },
};
</script>

<style scoped>
.appointment_container {
  background: aquamarine;
}

.v-container-date {
  align-items: center;
}

.v-card-container {
  margin-bottom: 20px;
  margin-top: 20px;
  align-items: center;
  display: flex;
}

.v-container-card-text {
  align-items: center;
}
</style>
